de.esprit.appsuite.gui.dialog.misc

## Class AboutVersionDialogAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction<C>
    - - de.esprit.appsuite.gui.ToolAction
      - - de.esprit.appsuite.gui.dialog.misc.AboutVersionDialogAction

- All Implemented Interfaces:
    ApplicationObject, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public class AboutVersionDialogAction
      extends ToolAction

  This action displays the information about the software
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AboutVersionDialogAction(ApplicationContext ctx, NlsActionKey name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ToolDialog` | `createWindow(ApplicationContext ctx, java.awt.Component caller)`
    `protected IconKey` | `getTitleIcon()`
    `protected NlsKey` | `getTitleText()`

    - ### Methods inherited from class de.esprit.appsuite.gui.ToolAction

      `actionFired, getToolWindow, setToolWindow`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionPerformed, actionPrepare, actionSucceeded, checkEnableCondition, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AboutVersionDialogAction

          public AboutVersionDialogAction(ApplicationContext ctx,
                                  NlsActionKey name)

  - ### Method Detail

    - #### createWindow

          protected ToolDialog createWindow(ApplicationContext ctx,
                                java.awt.Component caller)

      Specified by:
        `createWindow` in class `ToolAction`

    - #### getTitleText

          protected NlsKey getTitleText()

    - #### getTitleIcon

          protected IconKey getTitleIcon()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.